Servoy JasperReports Plugin - Feature #810

Guidelines on how to use the HTML component
05/05/2014 12:01 PM - Juan Antonio Santana Medina

Status: Closed Start date: 05/05/2014
Priority: Normal Due date:

Assignee: Andrei Costache % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Hi, could you please give us some guidance on how to use the HTML component?

Thanks

History

#1 - 05/06/2014 10:26 PM - Andrei Costache

Hi Juan,

| have not seen any explicit documentation on it. It is pretty much a simple placeholder component for html text, similar to a Servoy html text area; the
jasper htmlcomponent has a property called "html content expression" that receives the value of some html text. And it will interpret/render that inside
your component. It has been inside JasperReports for some time, but apparently we have not had anyone reporting problems trying to use it (not sure
how many do use it with our plugin).

There is a sample shipped with the default jasperreports project distribution (not the plugin). My advice is to download a jaseperreports project zip
(from http://sourceforge.net/projects/jasperreports/files/jasperreports/JasperReports%205.5.1/jasperreports-5.5.1-project.zip/download) and have a
look inside the /demo/samples/htmicomponent folder. Maybe play a bit with the demo. Also, faster would be to just create a sample report using
iReport or better with JasperSoft Studio :) and place/drag&drop an html type element from the components palette on the report and check its
properties.

Hope this helps getting started.

Best regards,
Andrei

#2 - 05/06/2014 10:58 PM - Juan Antonio Santana Medina

- Assignee set to Andrei Costache

Thanks Andrei | will have a look

#3 - 05/29/2014 08:59 PM - Andrei Costache

- Status changed from New to Closed
